{
	"format_version": "1.10.0",
	"particle_effect": {
		"description": {
				"identifier": "simulation_border_setup",
				"basic_render_parameters": {
					"material": "particles_blend",
					"texture": "textures/blocks/missing_tile"
				}
		},
		"events": {
			"border_west_a": {"particle_effect": {"effect": "border_west_a", "type":"emitter_bound"}},
			"border_west_aL": {"particle_effect": {"effect": "border_west_aL", "type":"emitter_bound"}},
			"border_west_aR": {"particle_effect": {"effect": "border_west_aR", "type":"emitter_bound"}},
			"border_west_bL": {"particle_effect": {"effect": "border_west_bL", "type":"emitter_bound"}},
			"border_west_bR": {"particle_effect": {"effect": "border_west_bR", "type":"emitter_bound"}},
			"border_west_cL": {"particle_effect": {"effect": "border_west_cL", "type":"emitter_bound"}},
			"border_west_cR": {"particle_effect": {"effect": "border_west_cR", "type":"emitter_bound"}},
			"border_west_dL": {"particle_effect": {"effect": "border_west_dL", "type":"emitter_bound"}},
			"border_west_dR": {"particle_effect": {"effect": "border_west_dR", "type":"emitter_bound"}},
			"border_west_eL": {"particle_effect": {"effect": "border_west_eL", "type":"emitter_bound"}},
			"border_west_eR": {"particle_effect": {"effect": "border_west_eR", "type":"emitter_bound"}},
			"border_west_fL": {"particle_effect": {"effect": "border_west_fL", "type":"emitter_bound"}},
			"border_west_fR": {"particle_effect": {"effect": "border_west_fR", "type":"emitter_bound"}},
			"border_west_gL": {"particle_effect": {"effect": "border_west_gL", "type":"emitter_bound"}},
			"border_west_gR": {"particle_effect": {"effect": "border_west_gR", "type":"emitter_bound"}},
			"border_west_hL": {"particle_effect": {"effect": "border_west_hL", "type":"emitter_bound"}},
			"border_west_hR": {"particle_effect": {"effect": "border_west_hR", "type":"emitter_bound"}},
			"border_west_iL": {"particle_effect": {"effect": "border_west_iL", "type":"emitter_bound"}},
			"border_west_iR": {"particle_effect": {"effect": "border_west_iR", "type":"emitter_bound"}},
			"border_west_jL": {"particle_effect": {"effect": "border_west_jL", "type":"emitter_bound"}},
			"border_west_jR": {"particle_effect": {"effect": "border_west_jR", "type":"emitter_bound"}},
			"border_west_kL": {"particle_effect": {"effect": "border_west_kL", "type":"emitter_bound"}},
			"border_west_kR": {"particle_effect": {"effect": "border_west_kR", "type":"emitter_bound"}},
			"border_west_lL": {"particle_effect": {"effect": "border_west_lL", "type":"emitter_bound"}},
			"border_west_lR": {"particle_effect": {"effect": "border_west_lR", "type":"emitter_bound"}},
			"border_west_mL": {"particle_effect": {"effect": "border_west_mL", "type":"emitter_bound"}},
			"border_west_mR": {"particle_effect": {"effect": "border_west_mR", "type":"emitter_bound"}},
			"border_west_nL": {"particle_effect": {"effect": "border_west_nL", "type":"emitter_bound"}},
			"border_west_nR": {"particle_effect": {"effect": "border_west_nR", "type":"emitter_bound"}},
			"border_west_oL": {"particle_effect": {"effect": "border_west_oL", "type":"emitter_bound"}},
			"border_west_oR": {"particle_effect": {"effect": "border_west_oR", "type":"emitter_bound"}},
			"border_west_pL": {"particle_effect": {"effect": "border_west_pL", "type":"emitter_bound"}},
			"border_west_pR": {"particle_effect": {"effect": "border_west_pR", "type":"emitter_bound"}},
			"border_west_qL": {"particle_effect": {"effect": "border_west_qL", "type":"emitter_bound"}},
			"border_west_qR": {"particle_effect": {"effect": "border_west_qR", "type":"emitter_bound"}},
			"border_west_rL": {"particle_effect": {"effect": "border_west_rL", "type":"emitter_bound"}},
			"border_west_rR": {"particle_effect": {"effect": "border_west_rR", "type":"emitter_bound"}},
			"border_west_sL": {"particle_effect": {"effect": "border_west_sL", "type":"emitter_bound"}},
			"border_west_sR": {"particle_effect": {"effect": "border_west_sR", "type":"emitter_bound"}},






			"border_east_a": {"particle_effect": {"effect": "border_east_a", "type":"emitter_bound"}},
			"border_east_aL": {"particle_effect": {"effect": "border_east_aL", "type":"emitter_bound"}},
			"border_east_aR": {"particle_effect": {"effect": "border_east_aR", "type":"emitter_bound"}},
			"border_east_bL": {"particle_effect": {"effect": "border_east_bL", "type":"emitter_bound"}},
			"border_east_bR": {"particle_effect": {"effect": "border_east_bR", "type":"emitter_bound"}},
			"border_east_cL": {"particle_effect": {"effect": "border_east_cL", "type":"emitter_bound"}},
			"border_east_cR": {"particle_effect": {"effect": "border_east_cR", "type":"emitter_bound"}},
			"border_east_dL": {"particle_effect": {"effect": "border_east_dL", "type":"emitter_bound"}},
			"border_east_dR": {"particle_effect": {"effect": "border_east_dR", "type":"emitter_bound"}},
			"border_east_eL": {"particle_effect": {"effect": "border_east_eL", "type":"emitter_bound"}},
			"border_east_eR": {"particle_effect": {"effect": "border_east_eR", "type":"emitter_bound"}},
			"border_east_fL": {"particle_effect": {"effect": "border_east_fL", "type":"emitter_bound"}},
			"border_east_fR": {"particle_effect": {"effect": "border_east_fR", "type":"emitter_bound"}},
			"border_east_gL": {"particle_effect": {"effect": "border_east_gL", "type":"emitter_bound"}},
			"border_east_gR": {"particle_effect": {"effect": "border_east_gR", "type":"emitter_bound"}},
			"border_east_hL": {"particle_effect": {"effect": "border_east_hL", "type":"emitter_bound"}},
			"border_east_hR": {"particle_effect": {"effect": "border_east_hR", "type":"emitter_bound"}},
			"border_east_iL": {"particle_effect": {"effect": "border_east_iL", "type":"emitter_bound"}},
			"border_east_iR": {"particle_effect": {"effect": "border_east_iR", "type":"emitter_bound"}},
			"border_east_jL": {"particle_effect": {"effect": "border_east_jL", "type":"emitter_bound"}},
			"border_east_jR": {"particle_effect": {"effect": "border_east_jR", "type":"emitter_bound"}},
			"border_east_kL": {"particle_effect": {"effect": "border_east_kL", "type":"emitter_bound"}},
			"border_east_kR": {"particle_effect": {"effect": "border_east_kR", "type":"emitter_bound"}},
			"border_east_lL": {"particle_effect": {"effect": "border_east_lL", "type":"emitter_bound"}},
			"border_east_lR": {"particle_effect": {"effect": "border_east_lR", "type":"emitter_bound"}},
			"border_east_mL": {"particle_effect": {"effect": "border_east_mL", "type":"emitter_bound"}},
			"border_east_mR": {"particle_effect": {"effect": "border_east_mR", "type":"emitter_bound"}},
			"border_east_nL": {"particle_effect": {"effect": "border_east_nL", "type":"emitter_bound"}},
			"border_east_nR": {"particle_effect": {"effect": "border_east_nR", "type":"emitter_bound"}},
			"border_east_oL": {"particle_effect": {"effect": "border_east_oL", "type":"emitter_bound"}},
			"border_east_oR": {"particle_effect": {"effect": "border_east_oR", "type":"emitter_bound"}},
			"border_east_pL": {"particle_effect": {"effect": "border_east_pL", "type":"emitter_bound"}},
			"border_east_pR": {"particle_effect": {"effect": "border_east_pR", "type":"emitter_bound"}},
			"border_east_qL": {"particle_effect": {"effect": "border_east_qL", "type":"emitter_bound"}},
			"border_east_qR": {"particle_effect": {"effect": "border_east_qR", "type":"emitter_bound"}},
			"border_east_rL": {"particle_effect": {"effect": "border_east_rL", "type":"emitter_bound"}},
			"border_east_rR": {"particle_effect": {"effect": "border_east_rR", "type":"emitter_bound"}},
			"border_east_sL": {"particle_effect": {"effect": "border_east_sL", "type":"emitter_bound"}},
			"border_east_sR": {"particle_effect": {"effect": "border_east_sR", "type":"emitter_bound"}},


			"border_south_a": {"particle_effect": {"effect": "border_south_a", "type":"emitter_bound"}},
			"border_south_aL": {"particle_effect": {"effect": "border_south_aL", "type":"emitter_bound"}},
			"border_south_aR": {"particle_effect": {"effect": "border_south_aR", "type":"emitter_bound"}},
			"border_north_a": {"particle_effect": {"effect": "border_north_a", "type":"emitter_bound"}},
			"border_north_aL": {"particle_effect": {"effect": "border_north_aL", "type":"emitter_bound"}},
			"border_north_aR": {"particle_effect": {"effect": "border_north_aR", "type":"emitter_bound"}},







			"a": {"particle_effect": {"effect": "a", "type":"emitter_bound"}}
		},
		"components": {
			"minecraft:emitter_rate_instant": {"num_particles": 1},
			"minecraft:emitter_lifetime_once": {},
			"minecraft:particle_lifetime_expression": {"max_lifetime": 0},
			"minecraft:particle_lifetime_events": {"creation_event": [ 

				"border_west_a",
				"border_west_aL", "border_west_aR",
				"border_west_bL", "border_west_bR",
				"border_west_cL", "border_west_cR",
				"border_west_dL", "border_west_dR",
				"border_west_eL", "border_west_eR",
				"border_west_fL", "border_west_fR",
				"border_west_gL", "border_west_gR",
				"border_west_hL", "border_west_hR",
				"border_west_iL", "border_west_iR",
				"border_west_jL", "border_west_jR",
				"border_west_kL", "border_west_kR",
				"border_west_lL", "border_west_lR",
				"border_west_mL", "border_west_mR",
				"border_west_nL", "border_west_nR",
				"border_west_oL", "border_west_oR",
				"border_west_pL", "border_west_pR",
				"border_west_qL", "border_west_qR",
				"border_west_rL", "border_west_rR",
				"border_west_sL", "border_west_sR",


				"border_east_a",
				"border_east_aL", "border_east_aR",
				"border_east_bL", "border_east_bR",
				"border_east_cL", "border_east_cR",
				"border_east_dL", "border_east_dR",
				"border_east_eL", "border_east_eR",
				"border_east_fL", "border_east_fR",
				"border_east_gL", "border_east_gR",
				"border_east_hL", "border_east_hR",
				"border_east_iL", "border_east_iR",
				"border_east_jL", "border_east_jR",
				"border_east_kL", "border_east_kR",
				"border_east_lL", "border_east_lR",
				"border_east_mL", "border_east_mR",
				"border_east_nL", "border_east_nR",
				"border_east_oL", "border_east_oR",
				"border_east_pL", "border_east_pR",
				"border_east_qL", "border_east_qR",
				"border_east_rL", "border_east_rR",
				"border_east_sL", "border_east_sR",


				"border_south_a",
				"border_south_aL", "border_south_aR",
				"border_north_a",
				"border_north_aL", "border_north_aR",







"a"
			]},
			"minecraft:particle_appearance_billboard": {
				"size": [0,0],
				"facing_camera_mode": "rotate_xyz",
				"uv": {"texture_width": 16,"texture_height": 16,"uv": [0, 0],"uv_size": [16, 16]}
			}
		}
	}
}
